Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc6b::/16
First address
fc6b::
Last address
fc6b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc6b:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
b.6.c.f.ip6.arpa
Split into smaller subnets/32

fc6b::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1fc6b::/32fc6b:0:ffff:ffff:ffff:ffff:ffff:ffff
2fc6b:1::/32fc6b:1:ffff:ffff:ffff:ffff:ffff:ffff
3fc6b:2::/32fc6b:2:ffff:ffff:ffff:ffff:ffff:ffff
4fc6b:3::/32fc6b:3:ffff:ffff:ffff:ffff:ffff:ffff
5fc6b:4::/32fc6b:4:ffff:ffff:ffff:ffff:ffff:ffff
6fc6b:5::/32fc6b:5:ffff:ffff:ffff:ffff:ffff:ffff
7fc6b:6::/32fc6b:6:ffff:ffff:ffff:ffff:ffff:ffff
8fc6b:7::/32fc6b:7:ffff:ffff:ffff:ffff:ffff:ffff
9fc6b:8::/32fc6b:8:ffff:ffff:ffff:ffff:ffff:ffff
10fc6b:9::/32fc6b:9:ffff:ffff:ffff:ffff:ffff:ffff
11fc6b:a::/32fc6b:a:ffff:ffff:ffff:ffff:ffff:ffff
12fc6b:b::/32fc6b:b:ffff:ffff:ffff:ffff:ffff:ffff
13fc6b:c::/32fc6b:c:ffff:ffff:ffff:ffff:ffff:ffff
14fc6b:d::/32fc6b:d:ffff:ffff:ffff:ffff:ffff:ffff
15fc6b:e::/32fc6b:e:ffff:ffff:ffff:ffff:ffff:ffff
16fc6b:f::/32fc6b:f:ffff:ffff:ffff:ffff:ffff:ffff
17fc6b:10::/32fc6b:10:ffff:ffff:ffff:ffff:ffff:ffff
18fc6b:11::/32fc6b:11:ffff:ffff:ffff:ffff:ffff:ffff
19fc6b:12::/32fc6b:12:ffff:ffff:ffff:ffff:ffff:ffff
20fc6b:13::/32fc6b:13:ffff:ffff:ffff:ffff:ffff:ffff
21fc6b:14::/32fc6b:14:ffff:ffff:ffff:ffff:ffff:ffff
22fc6b:15::/32fc6b:15:ffff:ffff:ffff:ffff:ffff:ffff
23fc6b:16::/32fc6b:16:ffff:ffff:ffff:ffff:ffff:ffff
24fc6b:17::/32fc6b:17:ffff:ffff:ffff:ffff:ffff:ffff
25fc6b:18::/32fc6b:18:ffff:ffff:ffff:ffff:ffff:ffff
26fc6b:19::/32fc6b:19:ffff:ffff:ffff:ffff:ffff:ffff
27fc6b:1a::/32fc6b:1a:ffff:ffff:ffff:ffff:ffff:ffff
28fc6b:1b::/32fc6b:1b:ffff:ffff:ffff:ffff:ffff:ffff
29fc6b:1c::/32fc6b:1c:ffff:ffff:ffff:ffff:ffff:ffff
30fc6b:1d::/32fc6b:1d:ffff:ffff:ffff:ffff:ffff:ffff
31fc6b:1e::/32fc6b:1e:ffff:ffff:ffff:ffff:ffff:ffff
32fc6b:1f::/32fc6b:1f:ffff:ffff:ffff:ffff:ffff:ffff
33fc6b:20::/32fc6b:20:ffff:ffff:ffff:ffff:ffff:ffff
34fc6b:21::/32fc6b:21:ffff:ffff:ffff:ffff:ffff:ffff
35fc6b:22::/32fc6b:22:ffff:ffff:ffff:ffff:ffff:ffff
36fc6b:23::/32fc6b:23:ffff:ffff:ffff:ffff:ffff:ffff
37fc6b:24::/32fc6b:24:ffff:ffff:ffff:ffff:ffff:ffff
38fc6b:25::/32fc6b:25:ffff:ffff:ffff:ffff:ffff:ffff
39fc6b:26::/32fc6b:26:ffff:ffff:ffff:ffff:ffff:ffff
40fc6b:27::/32fc6b:27:ffff:ffff:ffff:ffff:ffff:ffff
41fc6b:28::/32fc6b:28:ffff:ffff:ffff:ffff:ffff:ffff
42fc6b:29::/32fc6b:29:ffff:ffff:ffff:ffff:ffff:ffff
43fc6b:2a::/32fc6b:2a:ffff:ffff:ffff:ffff:ffff:ffff
44fc6b:2b::/32fc6b:2b:ffff:ffff:ffff:ffff:ffff:ffff
45fc6b:2c::/32fc6b:2c:ffff:ffff:ffff:ffff:ffff:ffff
46fc6b:2d::/32fc6b:2d:ffff:ffff:ffff:ffff:ffff:ffff
47fc6b:2e::/32fc6b:2e:ffff:ffff:ffff:ffff:ffff:ffff
48fc6b:2f::/32fc6b:2f:ffff:ffff:ffff:ffff:ffff:ffff
49fc6b:30::/32fc6b:30:ffff:ffff:ffff:ffff:ffff:ffff
50fc6b:31::/32fc6b:31:ffff:ffff:ffff:ffff:ffff:ffff
51fc6b:32::/32fc6b:32:ffff:ffff:ffff:ffff:ffff:ffff
52fc6b:33::/32fc6b:33:ffff:ffff:ffff:ffff:ffff:ffff
53fc6b:34::/32fc6b:34:ffff:ffff:ffff:ffff:ffff:ffff
54fc6b:35::/32fc6b:35:ffff:ffff:ffff:ffff:ffff:ffff
55fc6b:36::/32fc6b:36:ffff:ffff:ffff:ffff:ffff:ffff
56fc6b:37::/32fc6b:37:ffff:ffff:ffff:ffff:ffff:ffff
57fc6b:38::/32fc6b:38:ffff:ffff:ffff:ffff:ffff:ffff
58fc6b:39::/32fc6b:39:ffff:ffff:ffff:ffff:ffff:ffff
59fc6b:3a::/32fc6b:3a:ffff:ffff:ffff:ffff:ffff:ffff
60fc6b:3b::/32fc6b:3b:ffff:ffff:ffff:ffff:ffff:ffff
61fc6b:3c::/32fc6b:3c:ffff:ffff:ffff:ffff:ffff:ffff
62fc6b:3d::/32fc6b:3d:ffff:ffff:ffff:ffff:ffff:ffff
63fc6b:3e::/32fc6b:3e:ffff:ffff:ffff:ffff:ffff:ffff
64fc6b:3f::/32fc6b:3f:ffff:ffff:ffff:ffff:ffff:ffff
65fc6b:40::/32fc6b:40:ffff:ffff:ffff:ffff:ffff:ffff
66fc6b:41::/32fc6b:41:ffff:ffff:ffff:ffff:ffff:ffff
67fc6b:42::/32fc6b:42:ffff:ffff:ffff:ffff:ffff:ffff
68fc6b:43::/32fc6b:43:ffff:ffff:ffff:ffff:ffff:ffff
69fc6b:44::/32fc6b:44:ffff:ffff:ffff:ffff:ffff:ffff
70fc6b:45::/32fc6b:45:ffff:ffff:ffff:ffff:ffff:ffff
71fc6b:46::/32fc6b:46:ffff:ffff:ffff:ffff:ffff:ffff
72fc6b:47::/32fc6b:47:ffff:ffff:ffff:ffff:ffff:ffff
73fc6b:48::/32fc6b:48:ffff:ffff:ffff:ffff:ffff:ffff
74fc6b:49::/32fc6b:49:ffff:ffff:ffff:ffff:ffff:ffff
75fc6b:4a::/32fc6b:4a:ffff:ffff:ffff:ffff:ffff:ffff
76fc6b:4b::/32fc6b:4b:ffff:ffff:ffff:ffff:ffff:ffff
77fc6b:4c::/32fc6b:4c:ffff:ffff:ffff:ffff:ffff:ffff
78fc6b:4d::/32fc6b:4d:ffff:ffff:ffff:ffff:ffff:ffff
79fc6b:4e::/32fc6b:4e:ffff:ffff:ffff:ffff:ffff:ffff
80fc6b:4f::/32fc6b:4f:ffff:ffff:ffff:ffff:ffff:ffff
81fc6b:50::/32fc6b:50:ffff:ffff:ffff:ffff:ffff:ffff
82fc6b:51::/32fc6b:51:ffff:ffff:ffff:ffff:ffff:ffff
83fc6b:52::/32fc6b:52:ffff:ffff:ffff:ffff:ffff:ffff
84fc6b:53::/32fc6b:53:ffff:ffff:ffff:ffff:ffff:ffff
85fc6b:54::/32fc6b:54:ffff:ffff:ffff:ffff:ffff:ffff
86fc6b:55::/32fc6b:55:ffff:ffff:ffff:ffff:ffff:ffff
87fc6b:56::/32fc6b:56:ffff:ffff:ffff:ffff:ffff:ffff
88fc6b:57::/32fc6b:57:ffff:ffff:ffff:ffff:ffff:ffff
89fc6b:58::/32fc6b:58:ffff:ffff:ffff:ffff:ffff:ffff
90fc6b:59::/32fc6b:59:ffff:ffff:ffff:ffff:ffff:ffff
91fc6b:5a::/32fc6b:5a:ffff:ffff:ffff:ffff:ffff:ffff
92fc6b:5b::/32fc6b:5b:ffff:ffff:ffff:ffff:ffff:ffff
93fc6b:5c::/32fc6b:5c:ffff:ffff:ffff:ffff:ffff:ffff
94fc6b:5d::/32fc6b:5d:ffff:ffff:ffff:ffff:ffff:ffff
95fc6b:5e::/32fc6b:5e:ffff:ffff:ffff:ffff:ffff:ffff
96fc6b:5f::/32fc6b:5f:ffff:ffff:ffff:ffff:ffff:ffff
97fc6b:60::/32fc6b:60:ffff:ffff:ffff:ffff:ffff:ffff
98fc6b:61::/32fc6b:61:ffff:ffff:ffff:ffff:ffff:ffff
99fc6b:62::/32fc6b:62:ffff:ffff:ffff:ffff:ffff:ffff
100fc6b:63::/32fc6b:63:ffff:ffff:ffff:ffff:ffff:ffff
101fc6b:64::/32fc6b:64:ffff:ffff:ffff:ffff:ffff:ffff
102fc6b:65::/32fc6b:65:ffff:ffff:ffff:ffff:ffff:ffff
103fc6b:66::/32fc6b:66:ffff:ffff:ffff:ffff:ffff:ffff
104fc6b:67::/32fc6b:67:ffff:ffff:ffff:ffff:ffff:ffff
105fc6b:68::/32fc6b:68:ffff:ffff:ffff:ffff:ffff:ffff
106fc6b:69::/32fc6b:69:ffff:ffff:ffff:ffff:ffff:ffff
107fc6b:6a::/32fc6b:6a:ffff:ffff:ffff:ffff:ffff:ffff
108fc6b:6b::/32fc6b:6b:ffff:ffff:ffff:ffff:ffff:ffff
109fc6b:6c::/32fc6b:6c:ffff:ffff:ffff:ffff:ffff:ffff
110fc6b:6d::/32fc6b:6d:ffff:ffff:ffff:ffff:ffff:ffff
111fc6b:6e::/32fc6b:6e:ffff:ffff:ffff:ffff:ffff:ffff
112fc6b:6f::/32fc6b:6f:ffff:ffff:ffff:ffff:ffff:ffff
113fc6b:70::/32fc6b:70:ffff:ffff:ffff:ffff:ffff:ffff
114fc6b:71::/32fc6b:71:ffff:ffff:ffff:ffff:ffff:ffff
115fc6b:72::/32fc6b:72:ffff:ffff:ffff:ffff:ffff:ffff
116fc6b:73::/32fc6b:73:ffff:ffff:ffff:ffff:ffff:ffff
117fc6b:74::/32fc6b:74:ffff:ffff:ffff:ffff:ffff:ffff
118fc6b:75::/32fc6b:75:ffff:ffff:ffff:ffff:ffff:ffff
119fc6b:76::/32fc6b:76:ffff:ffff:ffff:ffff:ffff:ffff
120fc6b:77::/32fc6b:77:ffff:ffff:ffff:ffff:ffff:ffff
121fc6b:78::/32fc6b:78:ffff:ffff:ffff:ffff:ffff:ffff
122fc6b:79::/32fc6b:79:ffff:ffff:ffff:ffff:ffff:ffff
123fc6b:7a::/32fc6b:7a:ffff:ffff:ffff:ffff:ffff:ffff
124fc6b:7b::/32fc6b:7b:ffff:ffff:ffff:ffff:ffff:ffff
125fc6b:7c::/32fc6b:7c:ffff:ffff:ffff:ffff:ffff:ffff
126fc6b:7d::/32fc6b:7d:ffff:ffff:ffff:ffff:ffff:ffff
127fc6b:7e::/32fc6b:7e:ffff:ffff:ffff:ffff:ffff:ffff
128fc6b:7f::/32fc6b:7f:ffff:ffff:ffff:ffff:ffff:ffff
129fc6b:80::/32fc6b:80:ffff:ffff:ffff:ffff:ffff:ffff
130fc6b:81::/32fc6b:81:ffff:ffff:ffff:ffff:ffff:ffff
131fc6b:82::/32fc6b:82:ffff:ffff:ffff:ffff:ffff:ffff
132fc6b:83::/32fc6b:83:ffff:ffff:ffff:ffff:ffff:ffff
133fc6b:84::/32fc6b:84:ffff:ffff:ffff:ffff:ffff:ffff
134fc6b:85::/32fc6b:85:ffff:ffff:ffff:ffff:ffff:ffff
135fc6b:86::/32fc6b:86:ffff:ffff:ffff:ffff:ffff:ffff
136fc6b:87::/32fc6b:87:ffff:ffff:ffff:ffff:ffff:ffff
137fc6b:88::/32fc6b:88:ffff:ffff:ffff:ffff:ffff:ffff
138fc6b:89::/32fc6b:89:ffff:ffff:ffff:ffff:ffff:ffff
139fc6b:8a::/32fc6b:8a:ffff:ffff:ffff:ffff:ffff:ffff
140fc6b:8b::/32fc6b:8b:ffff:ffff:ffff:ffff:ffff:ffff
141fc6b:8c::/32fc6b:8c:ffff:ffff:ffff:ffff:ffff:ffff
142fc6b:8d::/32fc6b:8d:ffff:ffff:ffff:ffff:ffff:ffff
143fc6b:8e::/32fc6b:8e:ffff:ffff:ffff:ffff:ffff:ffff
144fc6b:8f::/32fc6b:8f:ffff:ffff:ffff:ffff:ffff:ffff
145fc6b:90::/32fc6b:90:ffff:ffff:ffff:ffff:ffff:ffff
146fc6b:91::/32fc6b:91:ffff:ffff:ffff:ffff:ffff:ffff
147fc6b:92::/32fc6b:92:ffff:ffff:ffff:ffff:ffff:ffff
148fc6b:93::/32fc6b:93:ffff:ffff:ffff:ffff:ffff:ffff
149fc6b:94::/32fc6b:94:ffff:ffff:ffff:ffff:ffff:ffff
150fc6b:95::/32fc6b:95:ffff:ffff:ffff:ffff:ffff:ffff
151fc6b:96::/32fc6b:96:ffff:ffff:ffff:ffff:ffff:ffff
152fc6b:97::/32fc6b:97:ffff:ffff:ffff:ffff:ffff:ffff
153fc6b:98::/32fc6b:98:ffff:ffff:ffff:ffff:ffff:ffff
154fc6b:99::/32fc6b:99:ffff:ffff:ffff:ffff:ffff:ffff
155fc6b:9a::/32fc6b:9a:ffff:ffff:ffff:ffff:ffff:ffff
156fc6b:9b::/32fc6b:9b:ffff:ffff:ffff:ffff:ffff:ffff
157fc6b:9c::/32fc6b:9c:ffff:ffff:ffff:ffff:ffff:ffff
158fc6b:9d::/32fc6b:9d:ffff:ffff:ffff:ffff:ffff:ffff
159fc6b:9e::/32fc6b:9e:ffff:ffff:ffff:ffff:ffff:ffff
160fc6b:9f::/32fc6b:9f:ffff:ffff:ffff:ffff:ffff:ffff
161fc6b:a0::/32fc6b:a0:ffff:ffff:ffff:ffff:ffff:ffff
162fc6b:a1::/32fc6b:a1:ffff:ffff:ffff:ffff:ffff:ffff
163fc6b:a2::/32fc6b:a2:ffff:ffff:ffff:ffff:ffff:ffff
164fc6b:a3::/32fc6b:a3:ffff:ffff:ffff:ffff:ffff:ffff
165fc6b:a4::/32fc6b:a4:ffff:ffff:ffff:ffff:ffff:ffff
166fc6b:a5::/32fc6b:a5:ffff:ffff:ffff:ffff:ffff:ffff
167fc6b:a6::/32fc6b:a6:ffff:ffff:ffff:ffff:ffff:ffff
168fc6b:a7::/32fc6b:a7:ffff:ffff:ffff:ffff:ffff:ffff
169fc6b:a8::/32fc6b:a8:ffff:ffff:ffff:ffff:ffff:ffff
170fc6b:a9::/32fc6b:a9:ffff:ffff:ffff:ffff:ffff:ffff
171fc6b:aa::/32fc6b:aa:ffff:ffff:ffff:ffff:ffff:ffff
172fc6b:ab::/32fc6b:ab:ffff:ffff:ffff:ffff:ffff:ffff
173fc6b:ac::/32fc6b:ac:ffff:ffff:ffff:ffff:ffff:ffff
174fc6b:ad::/32fc6b:ad:ffff:ffff:ffff:ffff:ffff:ffff
175fc6b:ae::/32fc6b:ae:ffff:ffff:ffff:ffff:ffff:ffff
176fc6b:af::/32fc6b:af:ffff:ffff:ffff:ffff:ffff:ffff
177fc6b:b0::/32fc6b:b0:ffff:ffff:ffff:ffff:ffff:ffff
178fc6b:b1::/32fc6b:b1:ffff:ffff:ffff:ffff:ffff:ffff
179fc6b:b2::/32fc6b:b2:ffff:ffff:ffff:ffff:ffff:ffff
180fc6b:b3::/32fc6b:b3:ffff:ffff:ffff:ffff:ffff:ffff
181fc6b:b4::/32fc6b:b4:ffff:ffff:ffff:ffff:ffff:ffff
182fc6b:b5::/32fc6b:b5:ffff:ffff:ffff:ffff:ffff:ffff
183fc6b:b6::/32fc6b:b6:ffff:ffff:ffff:ffff:ffff:ffff
184fc6b:b7::/32fc6b:b7:ffff:ffff:ffff:ffff:ffff:ffff
185fc6b:b8::/32fc6b:b8:ffff:ffff:ffff:ffff:ffff:ffff
186fc6b:b9::/32fc6b:b9:ffff:ffff:ffff:ffff:ffff:ffff
187fc6b:ba::/32fc6b:ba:ffff:ffff:ffff:ffff:ffff:ffff
188fc6b:bb::/32fc6b:bb:ffff:ffff:ffff:ffff:ffff:ffff
189fc6b:bc::/32fc6b:bc:ffff:ffff:ffff:ffff:ffff:ffff
190fc6b:bd::/32fc6b:bd:ffff:ffff:ffff:ffff:ffff:ffff
191fc6b:be::/32fc6b:be:ffff:ffff:ffff:ffff:ffff:ffff
192fc6b:bf::/32fc6b:bf:ffff:ffff:ffff:ffff:ffff:ffff
193fc6b:c0::/32fc6b:c0:ffff:ffff:ffff:ffff:ffff:ffff
194fc6b:c1::/32fc6b:c1:ffff:ffff:ffff:ffff:ffff:ffff
195fc6b:c2::/32fc6b:c2:ffff:ffff:ffff:ffff:ffff:ffff
196fc6b:c3::/32fc6b:c3:ffff:ffff:ffff:ffff:ffff:ffff
197fc6b:c4::/32fc6b:c4:ffff:ffff:ffff:ffff:ffff:ffff
198fc6b:c5::/32fc6b:c5:ffff:ffff:ffff:ffff:ffff:ffff
199fc6b:c6::/32fc6b:c6:ffff:ffff:ffff:ffff:ffff:ffff
200fc6b:c7::/32fc6b:c7:ffff:ffff:ffff:ffff:ffff:ffff
201fc6b:c8::/32fc6b:c8:ffff:ffff:ffff:ffff:ffff:ffff
202fc6b:c9::/32fc6b:c9:ffff:ffff:ffff:ffff:ffff:ffff
203fc6b:ca::/32fc6b:ca:ffff:ffff:ffff:ffff:ffff:ffff
204fc6b:cb::/32fc6b:cb:ffff:ffff:ffff:ffff:ffff:ffff
205fc6b:cc::/32fc6b:cc:ffff:ffff:ffff:ffff:ffff:ffff
206fc6b:cd::/32fc6b:cd:ffff:ffff:ffff:ffff:ffff:ffff
207fc6b:ce::/32fc6b:ce:ffff:ffff:ffff:ffff:ffff:ffff
208fc6b:cf::/32fc6b:cf:ffff:ffff:ffff:ffff:ffff:ffff
209fc6b:d0::/32fc6b:d0:ffff:ffff:ffff:ffff:ffff:ffff
210fc6b:d1::/32fc6b:d1:ffff:ffff:ffff:ffff:ffff:ffff
211fc6b:d2::/32fc6b:d2:ffff:ffff:ffff:ffff:ffff:ffff
212fc6b:d3::/32fc6b:d3:ffff:ffff:ffff:ffff:ffff:ffff
213fc6b:d4::/32fc6b:d4:ffff:ffff:ffff:ffff:ffff:ffff
214fc6b:d5::/32fc6b:d5:ffff:ffff:ffff:ffff:ffff:ffff
215fc6b:d6::/32fc6b:d6:ffff:ffff:ffff:ffff:ffff:ffff
216fc6b:d7::/32fc6b:d7:ffff:ffff:ffff:ffff:ffff:ffff
217fc6b:d8::/32fc6b:d8:ffff:ffff:ffff:ffff:ffff:ffff
218fc6b:d9::/32fc6b:d9:ffff:ffff:ffff:ffff:ffff:ffff
219fc6b:da::/32fc6b:da:ffff:ffff:ffff:ffff:ffff:ffff
220fc6b:db::/32fc6b:db:ffff:ffff:ffff:ffff:ffff:ffff
221fc6b:dc::/32fc6b:dc:ffff:ffff:ffff:ffff:ffff:ffff
222fc6b:dd::/32fc6b:dd:ffff:ffff:ffff:ffff:ffff:ffff
223fc6b:de::/32fc6b:de:ffff:ffff:ffff:ffff:ffff:ffff
224fc6b:df::/32fc6b:df:ffff:ffff:ffff:ffff:ffff:ffff
225fc6b:e0::/32fc6b:e0:ffff:ffff:ffff:ffff:ffff:ffff
226fc6b:e1::/32fc6b:e1:ffff:ffff:ffff:ffff:ffff:ffff
227fc6b:e2::/32fc6b:e2:ffff:ffff:ffff:ffff:ffff:ffff
228fc6b:e3::/32fc6b:e3:ffff:ffff:ffff:ffff:ffff:ffff
229fc6b:e4::/32fc6b:e4:ffff:ffff:ffff:ffff:ffff:ffff
230fc6b:e5::/32fc6b:e5:ffff:ffff:ffff:ffff:ffff:ffff
231fc6b:e6::/32fc6b:e6:ffff:ffff:ffff:ffff:ffff:ffff
232fc6b:e7::/32fc6b:e7:ffff:ffff:ffff:ffff:ffff:ffff
233fc6b:e8::/32fc6b:e8:ffff:ffff:ffff:ffff:ffff:ffff
234fc6b:e9::/32fc6b:e9:ffff:ffff:ffff:ffff:ffff:ffff
235fc6b:ea::/32fc6b:ea:ffff:ffff:ffff:ffff:ffff:ffff
236fc6b:eb::/32fc6b:eb:ffff:ffff:ffff:ffff:ffff:ffff
237fc6b:ec::/32fc6b:ec:ffff:ffff:ffff:ffff:ffff:ffff
238fc6b:ed::/32fc6b:ed:ffff:ffff:ffff:ffff:ffff:ffff
239fc6b:ee::/32fc6b:ee:ffff:ffff:ffff:ffff:ffff:ffff
240fc6b:ef::/32fc6b:ef:ffff:ffff:ffff:ffff:ffff:ffff
241fc6b:f0::/32fc6b:f0:ffff:ffff:ffff:ffff:ffff:ffff
242fc6b:f1::/32fc6b:f1:ffff:ffff:ffff:ffff:ffff:ffff
243fc6b:f2::/32fc6b:f2:ffff:ffff:ffff:ffff:ffff:ffff
244fc6b:f3::/32fc6b:f3:ffff:ffff:ffff:ffff:ffff:ffff
245fc6b:f4::/32fc6b:f4:ffff:ffff:ffff:ffff:ffff:ffff
246fc6b:f5::/32fc6b:f5:ffff:ffff:ffff:ffff:ffff:ffff
247fc6b:f6::/32fc6b:f6:ffff:ffff:ffff:ffff:ffff:ffff
248fc6b:f7::/32fc6b:f7:ffff:ffff:ffff:ffff:ffff:ffff
249fc6b:f8::/32fc6b:f8:ffff:ffff:ffff:ffff:ffff:ffff
250fc6b:f9::/32fc6b:f9:ffff:ffff:ffff:ffff:ffff:ffff
251fc6b:fa::/32fc6b:fa:ffff:ffff:ffff:ffff:ffff:ffff
252fc6b:fb::/32fc6b:fb:ffff:ffff:ffff:ffff:ffff:ffff
253fc6b:fc::/32fc6b:fc:ffff:ffff:ffff:ffff:ffff:ffff
254fc6b:fd::/32fc6b:fd:ffff:ffff:ffff:ffff:ffff:ffff
255fc6b:fe::/32fc6b:fe:ffff:ffff:ffff:ffff:ffff:ffff
256fc6b:ff::/32fc6b:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses